edu.isi.pegasus.planner.transfer.mapper

## Class MapperException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - edu.isi.pegasus.planner.transfer.mapper.MapperException

All Implemented Interfaces:
  java.io.Serializable

    public class MapperException
    extends java.lang.RuntimeException

The baseclass of the exception that is thrown by all Mappers. It is a checked exception.

Version:
  $Revision$
Author:
  Karan Vahi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MapperException()` Constructs a `MapperException` with no detail message.
`MapperException(java.lang.String message)` Constructs a `MapperException` with the specified detailed message.
`MapperException(java.lang.String message, java.lang.Throwable cause)` Constructs a `MapperException` with the specified detailed message and a cause.
`MapperException(java.lang.Throwable cause)` Constructs a `MapperException` with the specified just a cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapperException

    public MapperException()

Constructs a `MapperException` with no detail message.

#### MapperException

    public MapperException(java.lang.String message)

Constructs a `MapperException` with the specified detailed message.

Parameters:
  `message` - is the detailled message.

#### MapperException

    public MapperException(java.lang.String message,
                           java.lang.Throwable cause)

Constructs a `MapperException` with the specified detailed message and a cause.

Parameters:
  `message` - is the detailled message.
  `cause` - is the cause (which is saved for later retrieval by the `Throwable.getCause()` method). A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

#### MapperException

    public MapperException(java.lang.Throwable cause)

Constructs a `MapperException` with the specified just a cause.

Parameters:
  `cause` - is the cause (which is saved for later retrieval by the `Throwable.getCause()` method). A `null` value is permitted, and indicates that the cause is nonexistent or unknown.